msgpack::detail::parse_helper< Visitor > Struct Template Reference

`#include <parse.hpp>`

Inheritance diagram for msgpack::detail::parse_helper< Visitor >:

## Public Member Functions

| parse_helper (Visitor &v)
parse_return | execute (const char *data, std::size_t len, std::size_t &off)
Visitor & | visitor () const
Public Member Functions inherited from msgpack::detail::context< parse_helper< Visitor > >
| context (unpack_reference_func f, void *user_data, unpack_limit const &limit)
| context ()
void | init ()
void | init ()
msgpack::object const & | data () const
unpack_user & | user ()
unpack_user const & | user () const
int | execute (const char *data, std::size_t len, std::size_t &off)
parse_return | execute (const char *data, std::size_t len, std::size_t &off)
void | check_ext_size (std::size_t size)

## Public Attributes

Visitor & | m_visitor

## Constructor & Destructor Documentation

## parse_helper()

template<typename Visitor>

msgpack::detail::parse_helper< Visitor >::parse_helper | ( | Visitor & | v | ) |

inline

## Member Function Documentation

## execute()

template<typename Visitor>

parse_return msgpack::detail::parse_helper< Visitor >::execute | ( | const char * | data,
|  | std::size_t | len,
|  | std::size_t & | off
| ) |  |

inline

Referenced by msgpack::detail::parse_imp().

## visitor()

template<typename Visitor>

Visitor& msgpack::detail::parse_helper< Visitor >::visitor | ( |  | ) | const

inline

## Member Data Documentation

## m_visitor

template<typename Visitor>

Visitor& msgpack::detail::parse_helper< Visitor >::m_visitor

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v2/parse.hpp